import * as core from "@terrascript/core";

export interface AvailabilityZoneGroupArgs extends core.ResourceArgs {
  groupName: string | core.StringOut;

  optInStatus: string | core.StringOut;
}

export class AvailabilityZoneGroup extends core.Resource<AvailabilityZoneGroupArgs> {
  @core.attr(String)
  public groupName!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public optInStatus!: string | core.StringOut;

  constructor(name: string, args?: AvailabilityZoneGroupArgs) {
    super(name, "aws_ec2_availability_zone_group", args);
  }

  public override getNamespace(): string {
    return "aws_ec2";
  }
}
